---
- hosts: localhost
  tasks:
    - name: Check for tests/tests.yml exists
      stat:
        path: "{{ ansible_user_dir }}/{{ zuul.project.src_dir }}/tests/tests.yml"
      register: tests_stat
    - zuul_return:
        data:
          zuul:
            child_jobs:
              - rpm-sti-test
      when: tests_stat.stat.exists
    - zuul_return:
        data:
          zuul:
            child_jobs: []
      when: not tests_stat.stat.exists
